import { Service } from '@/Service/Service';
/*****用户接口*****/
class NvpMerchService {


	private static GetMerchInfoPath: string = '/Merch/GetMerchInfo';
	/*****获取商家信息*****/
	static GetMerchInfo(merchId: string,lon:number,lat:number) {
		var result = Service.Request(this.GetMerchInfoPath, "GET", { merchId,lon,lat});
		return result;
	}
	
	
	private static GetMerchOrderPath: string = '/Merch/GetMerchOrder';
	/*****获取商家营业数据*****/
	static GetMerchOrder(merchId: string) {
		var result = Service.Request(this.GetMerchOrderPath, "GET", { merchId });
		return result;
	}
	
	
	private static UpdateMerchInfoPath: string = '/Merch/UpdateMerchInfo';
	/*****修改商家信息*****/
	static UpdateMerchInfo(merchId: string, logo: string ,name:string, phone:string,province:string,city:string,county:string,address:string,lon:string,lat:string,sTime:string,eTime:string,showImg:string) {
		var result = Service.Request(this.UpdateMerchInfoPath, "POST", { merchId, logo,name ,phone,province,city,county,address,lon,lat,sTime,eTime,showImg});
		return result;
	}
	
	
	
	private static GetMerchAccPath: string = '/Merch/GetMerchAcc';
	/*****获取商家佣金数据*****/
	static GetMerchAcc(merchId: string) {
		var result = Service.Request(this.GetMerchAccPath, "GET", { merchId });
		return result;
	}
	
	private static GetMerchAccLogPath: string = '/Merch/GetMerchAccLog';
	/*****获取商家佣金记录*****/
	static GetMerchAccLog(merchId: string,op:string,page:number) {
		var result = Service.Request(this.GetMerchAccLogPath, "GET", { merchId,op,page });
		return result;
	}
	
	
	
	private static MerchWithDrawPath: string = '/Merch/MerchWithDraw';
	/*****商家佣金提现*****/
	static MerchWithDraw(merchId: string, money: number ,name:string, account:string) {
		var result = Service.Request(this.MerchWithDrawPath, "POST", { merchId, money,name,account});
		return result;
	}
	
	
	private static GetMerchWithLogPath: string = '/Merch/GetMerchWithLog';
	/*****商家佣金提现记录*****/
	static GetMerchWithLog(merchId: string) {
		var result = Service.Request(this.GetMerchWithLogPath, "GET", { merchId });
		return result;
	}
	
	private static GetMerchTicketListPath: string = '/Merch/GetMerchTicketList';
	/*****商家优惠券列表*****/
	static GetMerchTicketList(merchId: string) {
		var result = Service.Request(this.GetMerchTicketListPath, "GET", { merchId });
		return result;
	}
	
	
	private static AddMerchTicketPath: string = '/Merch/AddMerchTicket';
	/*****商家优惠券修改添加*****/
	static AddMerchTicket(ticketId: string, merchId: string ,code:string, atkAcc:number,redAcc:number,count:number,useTime:Number,state:Number,addTime:string,endTime:string) {
		var result = Service.Request(this.AddMerchTicketPath, "POST", { ticketId, merchId,code,atkAcc,redAcc,count,useTime,state,addTime,endTime});
		return result;
	}
	
	
	
	private static DelMerchTicketPath: string = '/Merch/DelMerchTicket';
	/*****商家删除优惠券*****/
	static DelMerchTicket(ticketId: string) {
		var result = Service.Request(this.DelMerchTicketPath, "POST", { ticketId});
		return result;
	}
	
	
	private static GetTicketInfoPath: string = '/Merch/GetTicketInfo';
	/*****获取优惠券详情*****/
	static GetTicketInfo(ticketId: string) {
		var result = Service.Request(this.GetTicketInfoPath, "GET", { ticketId });
		return result;
	}
	
	
	
	private static GetAppVersionPath: string = '/Login/GetAppVersion';
	/*****更新*****/
	static GetAppVersion() {
		var result = Service.Request(this.GetAppVersionPath, "GET", {type:2});
		return result;
	}
}
export {
	Service,
	NvpMerchService
}
